Skip to main content
PATCH
/
api
/
user
Update current user profile
curl --request PATCH \
  --url https://dev.exante.app/api/user \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstname": "<string>",
  "lastname": "<string>",
  "timezone": "America/New_York",
  "default_organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "settings": {}
}
'
{
  "status": "success",
  "status_code": 200,
  "message": "Success",
  "data": {
    "user": {
      "id": "<string>",
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstname": "<string>",
      "lastname": "<string>",
      "fullname": "<string>",
      "email": "<string>",
      "timezone": "<string>",
      "default_timezone": "<string>",
      "avatar": "<string>",
      "default_organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "active_company": {
        "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "owner_id": "<string>",
        "max_documents": 123
      },
      "organizations": [
        {
          "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "company_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "permissions_in_default_organization": [
        "<string>"
      ],
      "features": {},
      "first_seen": "2023-11-07T05:31:56Z",
      "last_seen": "2023-11-07T05:31:56Z",
      "settings": {}
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
firstname
string

Alphabetic characters only

Required string length: 1 - 64
lastname
string

Alphabetic characters only

Required string length: 1 - 64
timezone
string

Valid IANA timezone identifier

Example:

"America/New_York"

default_organization
string<uuid>

UID of the organization to set as default. User must be a member of this organization.

settings
object

Key-value pairs of user settings (e.g., active_company_uid, theme). Values must be JSON-serializable.

Response

User profile updated

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
Example:

"Success"

data
object